/**
 * 
 */
package cluster.example.component;

import java.io.Serializable;

import cluster.example.action.IAction;

/**
 *
 */
public class PojoComponent implements Serializable
{
    private static final long           serialVersionUID = 1L;

    private IAction                     action;
    private int                         counter;

    /**
     * 
     */
    public PojoComponent(
    )
    {
        super();
    }


    public IAction getAction()
    {
        return action;
    }
    
    public int getCounter()
    {
        return counter;
    }


    public int getCounterValue(
    ) 
    {
        counter++;
        
        return counter;
    }
    
    public String getHostCounterValue(
    )
    {
        return action.getNodeName() + "-" + getCounterValue();
    }


    /* (non-Javadoc)
     * @see com.cps.action.AbstractConfigurationAction#initialize()
     */
    public void initialize(
      IAction                           actn
    )
    {
        action  = actn;
    }


    public void setAction( IAction action )
    {
        this.action = action;
    }


    public void setCounter( int counter )
    {
        this.counter = counter;
    }


    public Object writeReplace(
    )
    {
        return new PojoSerializeWrapper( getClass().getName(), this );
    }
}
