/**
 * 
 */
package cluster.example.component;

import java.io.Serializable;

import cluster.example.action.IAction;

/**
 *
 */
public class PojoSerializeWrapper implements Serializable
{
    private static final long           serialVersionUID = 1L;
    
    private String                      className;
    private IAction                     action;
    private int                         counter;
    
    /**
     * 
     */
    public PojoSerializeWrapper(
    )
    {
        super();
    }
    
    public PojoSerializeWrapper(
      String                            className
    , PojoComponent                     pojoComp 
    )
    {
        super();
        this.className  = className;
        this.action     = pojoComp.getAction();
        this.counter    = pojoComp.getCounter();
    }

    public String getClassName()
    {
        return className;
    }

    public void setClassName( String className )
    {
        this.className = className;
    }

    Object readResolve(
    )
    {
        PojoComponent                   comp;
        
        comp    = new PojoComponent();
        comp.setAction( action );
        comp.setCounter( counter );
        
        return comp;
    }
}
