/**
 * 
 */
package cluster.example.component;

import java.io.Serializable;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

import cluster.example.action.IAction;

/**
 *
 */
@Scope( ScopeType.SESSION )
@Name( "cluster.example.component.serializableComponent" )
public class SerializableComponent implements Serializable
{
    private static final long           serialVersionUID = 1L;

    private IAction                     action;
    private int                         counter;

    /**
     * 
     */
    public SerializableComponent(
    )
    {
        super();
    }


    public int getCounterValue(
    ) 
    {
        counter++;
        
        return counter;
    }
    
    public String getHostCounterValue(
    )
    {
        return action.getNodeName() + "-" + getCounterValue();
    }


    /* (non-Javadoc)
     * @see com.cps.action.AbstractConfigurationAction#initialize()
     */
    public void initialize(
      IAction                           actn
    )
    {
        action  = actn;
    }
}
